# Anbox Cloud - Application Registry

Anbox Cloud offers a software stack that runs Android applications in any cloud enabling high-performance
streaming of graphics to desktop and mobile client devices.

At its heart, it uses lightweight container technology instead of full virtual machines to achieve higher
density and better performance per host while ensuring security and isolation of each container. Depending
on the target platform, payload, and desired application performance (e.g. frame rate), more than
100 containers can be run on a single machine.

For containerization of Android, Anbox Cloud uses the well established and secure container hypervisor
LXD. LXD is secure by design, scales to a large number of containers and provides advanced resource
management for hosted containers.

Also have a look at the official Anbox Cloud website for more information.

> NOTE: Anbox Cloud is a paid offering. You will need a Ubuntu Advantage subscription for this charm to work.
> You can learn more at https://anbox-cloud.io

## Application Registry

The Anbox Application Registry, or *AAR*, charm provides a central repository for applications created
on Anbox Cloud. It is extremely useful for larger deployments involving multiple regions in order to
keep applications in sync.

### Usage

This charm should be deployed on a single unit and connected with all `ams` units you want to synchronize.

```sh
$ juju deploy cs:~anbox-charmers/aar
$ juju config aar ua_token=<your UA token>
```

For more information on how to configure the Application Registry and its clients, visit the official documentation
on https://anbox-cloud.io/docs/installation/installation-application-registry
